Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface FileControl

All Superinterfaces:
  weblogic.jws.control.Control, com.bea.control.Control, Serializable

public interface FileControl
extends weblogic.jws.control.Control

File Control base interface

Nested Class Summary

Nested classes inherited from class com.bea.control.Control
`com.bea.control.Control.Callback`

Field Summary
`static String` | `ATTR_ARCHIVE_DIR`
`static String` | `ATTR_CREATE_MODE`
`static String` | `ATTR_CREATE_MODE_OVERWRITE`
`static String` | `ATTR_CREATE_MODE_RENAME`
`static String` | `ATTR_CURRENT_DIR`
`static String` | `ATTR_DELIMITER`
`static String` | `ATTR_DELIMITER_CHECKBOX`
`static String` | `ATTR_ENCODING`
`static String` | `ATTR_ERROR_DIR`
`static String` | `ATTR_FILE_CONTENT`
`static String` | `ATTR_FILE_MASK`
`static String` | `ATTR_FTP_HOST_NAME`
`static String` | `ATTR_FTP_LOCAL_DIR`
`static String` | `ATTR_FTP_USER_NAME`
`static String` | `ATTR_IO_TYPE`
`static String` | `ATTR_IO_TYPE_APPEND`
`static String` | `ATTR_IO_TYPE_READ`
`static String` | `ATTR_IO_TYPE_READLINE`
`static String` | `ATTR_IO_TYPE_WRITE`
`static String` | `ATTR_POST_READ`
`static String` | `ATTR_POST_READ_ARCHIVE`
`static String` | `ATTR_POST_READ_DELETE`
`static String` | `ATTR_RECORD_SIZE`
`static String` | `ATTR_SUFFIX_NAME`
`static String` | `ATTR_SUFFIX_TYPE`
`static String` | `ATTR_SUFFIX_TYPE_INDEX`
`static String` | `ATTR_SUFFIX_TYPE_TIMESTAMP`
`static String` | `DYNAMIC_PROPERTIES_TAG`
`static long` | `serialVersionUID`
`static String` | `TAG_FILE` The file tag is used to define file control attributes
`static String` | `TAG_FILE_OPERATION` The @jc:file-operation tag is used to annotate a JBCX method that provides a convenient template for the operations on files such as Read, Write and Append.

Method Summary
`void` | `copy(String fileName)` Copy the current file to the specified file name.
`void` | `delete()` Delete the current file.
`com.bea.wli.control.dynamicProperties.FileControlFileListDocument` | `getFiles()` Returns Iterator for the File objects matching the specified file mask in the current directory.
`com.bea.wli.control.dynamicProperties.FileControlPropertiesDocument` | `getProperties()` Get the dynamic properties for the control
`void` | `rename(String fileName)` Rename the current file to the specified file name.
`void` | `reset()` Reset the file control by closing any in-progress operations such as: readLine, readRecord and append.
`void` | `setProperties(com.bea.wli.control.dynamicProperties.FileControlPropertiesDocument xmlProp)` Set the dynamic properties for the control

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

### TAG_FILE

    public static final String TAG_FILE

  The file tag is used to define file control attributes

  See Also:
    Constant Field Values

### TAG_FILE_OPERATION

    public static final String TAG_FILE_OPERATION

  The @jc:file-operation tag is used to annotate a JBCX method that provides a convenient template for the operations on files such as Read, Write and Append.

  See Also:
    Constant Field Values

### DYNAMIC_PROPERTIES_TAG

    public static final String DYNAMIC_PROPERTIES_TAG

See Also:
  Constant Field Values

### ATTR_IO_TYPE

    public static final String ATTR_IO_TYPE

See Also:
  Constant Field Values

### ATTR_CURRENT_DIR

    public static final String ATTR_CURRENT_DIR

See Also:
  Constant Field Values

### ATTR_FILE_MASK

    public static final String ATTR_FILE_MASK

See Also:
  Constant Field Values

### ATTR_ERROR_DIR

    public static final String ATTR_ERROR_DIR

See Also:
  Constant Field Values

### ATTR_ARCHIVE_DIR

    public static final String ATTR_ARCHIVE_DIR

See Also:
  Constant Field Values

### ATTR_SUFFIX_NAME

    public static final String ATTR_SUFFIX_NAME

See Also:
  Constant Field Values

### ATTR_SUFFIX_TYPE

    public static final String ATTR_SUFFIX_TYPE

See Also:
  Constant Field Values

### ATTR_CREATE_MODE

    public static final String ATTR_CREATE_MODE

See Also:
  Constant Field Values

### ATTR_POST_READ

    public static final String ATTR_POST_READ

See Also:
  Constant Field Values

### ATTR_FTP_HOST_NAME

    public static final String ATTR_FTP_HOST_NAME

See Also:
  Constant Field Values

### ATTR_FTP_USER_NAME

    public static final String ATTR_FTP_USER_NAME

See Also:
  Constant Field Values

### ATTR_FTP_LOCAL_DIR

    public static final String ATTR_FTP_LOCAL_DIR

See Also:
  Constant Field Values

### ATTR_SUFFIX_TYPE_INDEX

    public static final String ATTR_SUFFIX_TYPE_INDEX

See Also:
  Constant Field Values

### ATTR_SUFFIX_TYPE_TIMESTAMP

    public static final String ATTR_SUFFIX_TYPE_TIMESTAMP

See Also:
  Constant Field Values

### ATTR_CREATE_MODE_OVERWRITE

    public static final String ATTR_CREATE_MODE_OVERWRITE

See Also:
  Constant Field Values

### ATTR_CREATE_MODE_RENAME

    public static final String ATTR_CREATE_MODE_RENAME

See Also:
  Constant Field Values

### ATTR_POST_READ_DELETE

    public static final String ATTR_POST_READ_DELETE

See Also:
  Constant Field Values

### ATTR_POST_READ_ARCHIVE

    public static final String ATTR_POST_READ_ARCHIVE

See Also:
  Constant Field Values

### ATTR_IO_TYPE_READ

    public static final String ATTR_IO_TYPE_READ

See Also:
  Constant Field Values

### ATTR_IO_TYPE_WRITE

    public static final String ATTR_IO_TYPE_WRITE

See Also:
  Constant Field Values

### ATTR_IO_TYPE_APPEND

    public static final String ATTR_IO_TYPE_APPEND

See Also:
  Constant Field Values

### ATTR_IO_TYPE_READLINE

    public static final String ATTR_IO_TYPE_READLINE

See Also:
  Constant Field Values

### ATTR_FILE_CONTENT

    public static final String ATTR_FILE_CONTENT

See Also:
  Constant Field Values

### ATTR_RECORD_SIZE

    public static final String ATTR_RECORD_SIZE

See Also:
  Constant Field Values

### ATTR_ENCODING

    public static final String ATTR_ENCODING

See Also:
  Constant Field Values

### ATTR_DELIMITER

    public static final String ATTR_DELIMITER

See Also:
  Constant Field Values

### ATTR_DELIMITER_CHECKBOX

    public static final String ATTR_DELIMITER_CHECKBOX

See Also:
  Constant Field Values

Method Detail

### getFiles

    public com.bea.wli.control.dynamicProperties.FileControlFileListDocument getFiles()

  Returns Iterator for the File objects matching the specified file mask in the current directory.

  Returns:
    an iterator for the File objects for the files in the current directory matching the file mask

### setProperties

    public void setProperties(com.bea.wli.control.dynamicProperties.FileControlPropertiesDocument xmlProp)
                       throws IllegalArgumentException

  Set the dynamic properties for the control

  Parameters:
    `xmlProp` - the dynamic properties for the control
  Throws:
    `IllegalArgumentException` - if invalid properties are specified

### getProperties

    public com.bea.wli.control.dynamicProperties.FileControlPropertiesDocument getProperties()

  Get the dynamic properties for the control

  Returns:
    a FileControlPropertiesDocument object

### rename

    public void rename(String fileName)
                throws FileNotFoundException,
                       IOException,
                       SecurityException,
                       IllegalArgumentException

  Rename the current file to the specified file name.

  Parameters:
    `fileName` - name of the file to be renamed to
  Throws:
    `IllegalArgumentException` - if invalid file name is specified
    `FileNotFoundException` - if the file is not present
    `IOException` - reading the file
    `SecurityException` - reading the file

### delete

    public void delete()
                throws FileNotFoundException,
                       IOException,
                       SecurityException

  Delete the current file.

  Throws:
    `IllegalArgumentException` - if invalid file name is specified
    `FileNotFoundException` - if the file is not present
    `IOException` - reading the file
    `SecurityException` - reading the file

### copy

    public void copy(String fileName)
              throws FileNotFoundException,
                     IOException,
                     SecurityException,
                     IllegalArgumentException

  Copy the current file to the specified file name.

  Parameters:
    `fileName` - name of the file name to be copied to
  Throws:
    `IllegalArgumentException` - if invalid file name is specified
    `FileNotFoundException` - if the file is not present
    `IOException` - reading the file
    `SecurityException` - reading the file

### reset

    public void reset()

  Reset the file control by closing any in-progress operations such as: readLine, readRecord and append.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD